import { jsx } from "react/jsx-runtime";
import { TokenICP as TokenICP$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenICP = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "ICP", "data-name": "TokenICP", ...props, children: /* @__PURE__ */ jsx(TokenICP$1, { variant }) });
  }
);
TokenICP.displayName = "TokenICP";
Object.assign(TokenICP, { isGdsIcon: true });
export {
  TokenICP
};
